DNF5-ENVIRONMENT(8)

NUME
dnf5-environment - comanda «environment»

SINOPSIS

dnf5 environment {list|info} [opțiuni] [<specificație-mediu>...]

dnf5 environment {install|remove|upgrade} [opțiuni] [<specificație-mediu>...]

DESCRIERE

Comanda environment din DNF5 oferă mai multe interogări pentru obținerea de informații despre medii și grupuri relaționate cu acestea și este utilizată și pentru instalarea mediilor. Pentru a interoga grupuri, utilizați comanda separată group.

Argumentele opționale specificație-mediu pot fi utilizate pentru a filtra mediile cu ID-uri sau nume date. Comenzile install, remove și upgrade acceptă atât specificație-mediu, cât și specificație-grup, dar în cazul în care atât mediile, cât și grupurile se potrivesc, numai mediile sunt afectate.

SUBCOMENZI

    list - listă
        Listează toate mediile care se potrivesc, fie dintre mediile instalate, fie dintre cele disponibile. Dacă nu se specifică nimic, listează toate mediile cunoscute. Opțiunile --installed și --available restrâng lista solicitată.

    info
        Afișează informații detaliate despre medii. Comanda acceptă aceleași opțiuni ca și subcomanda list.

    install
        Marchează mediile sau grupurile specificate instalate și instalează grupurile și pachetele pe care le conțin.

        Dacă un mediu sau un grup este deja (parțial) instalat, comanda instalează grupurile și pachetele lipsă pe care le conține.

        În cazul în care atât grupurile, cât și mediile se potrivesc, sunt afectate numai mediile.

        Pentru medii, sunt instalate toate grupurile din lista de grupuri a acestora, precum și grupurile implicite din lista de opțiuni a acestora.

        Dacă se utilizează opțiunea --with-optional, include și pachetele Optional ale grupurilor. În mod implicit, toate pachetele Mandatory și Default vor fi instalate ori de câte ori este posibil. Pachetele Conditional sunt instalate dacă îndeplinesc cerințele. Acest lucru poate fi configurat prin dnf5.conf(5), group_package_types <#group-package-types-options-label>.

        Dacă se utilizează opțiunea --no-packages, această comandă nu va instala niciun pachet. Numai pachetele de grup instalate în prezent sunt considerate a fi instalate împreună cu grupurile.

    remove
        Marchează mediile sau grupurile specificate ca fiind eliminate și elimină grupurile și pachetele pe care le conțin, cu excepția cazului în care aparțin unui alt mediu sau grup instalat, au fost instalate în mod explicit de către utilizator sau (în cazul pachetelor) au fost instalate ca dependență.

        În cazul în care atât grupurile, cât și mediile se potrivesc, sunt afectate numai mediile.

        Dacă se utilizează opțiunea --no-packages, această comandă nu va elimina niciun pachet.

    upgrade
        Actualizează definiția mediilor și grupurilor specificate, precum și a grupurilor și pachetelor pe care le conțin. Dacă au fost adăugate grupuri sau pachete noi la definițiile curente de la instalarea mediilor sau grupurilor, noile grupuri și pachete vor fi instalate. De asemenea, dacă unele grupuri sau pachete au fost eliminate din definiție, acestea vor fi eliminate, cu excepția cazului în care au fost instalate dintr-un alt motiv (aparțin unui alt mediu sau grup instalat, au fost instalate în mod explicit de către utilizator sau au fost instalate ca dependență).

        În cazul în care atât grupurile, cât și mediile se potrivesc, sunt afectate numai mediile.

OPȚIUNI PENTRU LISTĂ ȘI INFORMAȚII

    --available
        Afișează numai mediile disponibile. Cele care nu sunt instalate, dar cunoscute de DNF5.

    --installed
        Afișează numai mediile instalate.

OPȚIUNI PENTRU INSTALARE, DEZINSTALARE ȘI ACTUALIZARE

    --with-optional
        Include pachetele opționale din grupuri.
        Se utilizează cu comanda install.

    --no-packages
        Operează exclusiv asupra mediilor și grupurilor, fără a manipula niciun pachet.
        Se utilizează împreună cu comenzile install și remove.

    --allowerasing
        Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.
        Se utilizează cu comenzile install și upgrade.

    --skip-broken
        Rezolvă orice probleme de dependență prin eliminarea din tranzacție a pachetelor care cauzează probleme.
        Utilizată cu comanda install.

    --skip-unavailable
        Permite omiterea pachetelor care nu pot fi instalate sau actualizate.
        Se utilizează cu comenzile install și upgrade.

    --allow-downgrade
        Activează retrogradarea dependențelor la rezolvarea operației solicitate.
        Se utilizează cu comenzile install și upgrade.

    --no-allow-downgrade
        Dezactivează retrogradarea dependențelor la rezolvarea operației solicitate.
        Se utilizează cu comenzile install și upgrade.

    --downloadonly
        Descarcă setul de pachete rezolvate fără a executa o tranzacție RPM.
        Se utilizează cu comenzile install și upgrade.

    --offline
        Stochează tranzacția care urmează să fie efectuată fără conexiune „offline”. A se vedea comanda «offline» <#offline-command-ref-label>, dnf5-offline(8).

    --store=RUTA
        Stochează tranzacția curentă într-un director la RUTA specificată, în loc să o execute.
        Tranzacția stocată poate fi executată prin comanda <#replay-command-ref-label>, dnf5-replay(8).
        Rețineți că ID-urile depozitelor din tranzacția stocată sunt modificate în @stored_transaction(repo_id); acest lucru este necesar
        deoarece, în timpul reluării, depozitele stocate sunt recreate și pot intra în conflict cu depozitele deja existente
        (acest lucru nu se aplică depozitului special @System).

EXEMPLE

    dnf5 environment list
        Afișează lista tuturor mediilor.

    dnf5 environment info "KDE Plasma Workspaces"
        Afișează informații detaliate despre mediul KDE.

CONSULTAȚI ȘI
        dnf5-comps(7), Compune grupuri și medii <#comps-misc-ref-label>
        dnf5-specs(7), Specificații de modele <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.